#
#
# newWorld.cs
# Daventry's worldly object
#
setLoadProgress

echo Loading $KQWorld::Name objects

applyCombatLevel 1

#console variables initialize
WorldVar.cs
setLoadProgress

# Basic data files
loadKQ terrain/terrain.kq
setLoadProgress

# Connor
loadKQ connor.kq same 277744 199295 -1 0 0 0 # normal by cottage
setLoadProgress

#loadKQ connor.kq same 149317 205133 13200 0 0 0 # by Wizard's house
#loadKQ connor.kq same 245337 291925 -1 0 0 0 # by uglyBeast
#loadKQ connor.kq same 133781 249902 -1 0 0 0 # by WindMill
#loadKQ connor.kq same 197337 257120 -1 0 0 0 # by The Pub
#loadKQ connor.kq same 145836 267363 -1 0 0 0 # by The Girl's hut
#loadKQ connor.kq same 183238 226818 -1 0 0 0 # by The WaterMill
#loadKQ connor.kq same 158000 305000 22000 0 0 0 # by The WaterFall
#loadKQ connor.kq same 216000 185000 -1 0 0 0 # by The Urn
#loadKQ connor.kq same 230000 183000 -1 0 0 1.5 # by The Churchyard tomb
#loadKQ connor.kq same 225500 303000 -1 0 0 3   # by dead hero
#loadKQ connor.kq same 231000 182000 12345 0 0 -1.57 # roof of church yard tomb
#loadKQ connor.kq same 227609 279599 18907 0 0 3 # by in the castlekeep
#loadKQ connor.kq same 155000 209000 -1 0 0 1.2 # by the bell
#loadKQ connor.kq same 142000 205600 12986 0 0 1.2 # in the wizards tower

loadKQ cam3rd.kq same 275026 197541 14930 -.2 0 -1.8
setLoadProgress

alias hero   "move Connor 0 225500 303000 -1 0 0 3"
alias wheel  "move Connor 0 183238 226818 -1 0 0 0"
alias urn    "move Connor 0 216000 185000 -1 0 0 0"
alias wizard "move Connor 0 193000 198000 -1 0 0 -1.7"
alias start  "move Connor 0 276681 196705 -1 0 0 0"
alias little "move Connor 0 131100 271600 -1 0 0 3"
alias cheat  "KQConner::conversation Wizard 1000 4 0 17 1 2 0"
alias roof   "move Connor 0 235291 183000 13000 0 0 -1.57"
alias hench  "move Connor 0 140800 250000 16000 0 0 1.57"
alias bricks "move Connor 0 156625 303748 15000 0 0 1.57 ; move KQCamera 0 157793 307974 16233 0 0 3"
alias lady   "move Connor 0 147900 213200 -1 0 0 2.75"
alias ruin   "move Connor 0 215800 282300 24650 0 0 2.33"
alias coffin "move Connor 0 225847 312691 19851 0 0 3"
setLoadProgress

# THIS MUST FOLLOW CONNOR
# Inventory objects
loadKQ worldinv.kq
WorldInv.cs
setLoadProgress

# load permanent objects
permwrld.cs $KQGame::runOptimal

# the lights
#loadKQ light/amblight.kq
#loadKQ light/sunlight.kq

# the map
loadKQ davmap.kq
setLoadProgress

# henchman stuff
loadKQ ax.kq
# little girl is here temporarily, she should be loaded only if connor freed
# her in deadcity
loadKQ girl.kq
setLoadProgress

#sprigan with crossbow
loadKQ rooftrap.kq
loadKQ cliftrap.kq
setLoadProgress

#zombie trap
loadKQ zomtrap.kq
#loadKQ zomtrap2.kq

#start help stuff
loadKQ jumptrp.kq
setLoadProgress

# Wizard tower stuff(bell and stand)
loadKQ belstnd1.kq
loadKQ belstnd2.kq
loadKQ belstnd3.kq
loadKQ wizchest.kq
loadKQ wizquill.kq
loadKQ wizbook.kq

setLoadProgress

loadKQ	starball.kq	starball.01	144046	209317	13766	0	0	3.46

# wizard & raven
loadKQ wizard.kq
loadKQ wiztrap.kq
#loadKQ ravensrh.kq
loadKQ ravenwiz.kq
# hangig birds and fish in farmers stall
loadKQ	deadbird.kq	deadbird.01	208939	206983	9900	0	0	.57
loadKQ	deadbir2.kq	deadbird.02	209434	206983	9900	0	0	0
loadKQ	fishies.kq	fishies.01	208502	210878	9675	0	0	3.10
loadKQ	fishies2.kq	fishies.02	209365	210878	9675	0	0	1.57
loadKQ	fishies3.kq	fishies.03	209938	210878	9675	0	0	.57
setLoadProgress

# Connor's house stuff not perm stuff
loadKQ Dummy.kq
loadKQ	Haytarg1.kq
loadKQ	smlchst1.kq
loadKQ	smlchst2.kq	
loadKQ	smlchst3.kq
loadKQ	smlchst4.kq
loadKQ	basket1.kq
loadKQ	basket2.kq
loadKQ	basket3.kq
loadKQ	basket4.kq
loadKQ	basket5.kq
loadKQ	basket6.kq		
loadKQ	jar1.kq
loadKQ home2.kq
loadKQ home4.kq
loadKQ home5.kq
loadKQ home6.kq
loadKQ home7.kq
loadKQ home8.kq
loadKQ pondclck.kq
loadKQ teleclck.kq
loadKQ heroclck.kq
loadKQ	easel.kq
	
setLoadProgress

# Rope traps
loadKQ ropetrp1.kq
loadKQ ropetrp2.kq
loadKQ ropetrp3.kq
loadKQ ropetrp4.kq
loadKQ churchr1.kq
loadKQ churchr2.kq
loadKQ churchr3.kq
loadKQ churchr4.kq
loadKQ candle.kq
setLoadProgress

#shadow monster stuff
loadKQ shadow.kq
loadKQ davgate4.kq
loadKQ sdwtrap1.kq
loadKQ sdwtrap2.kq
setLoadProgress

loadKQ monsters.kq
#sprigan by knights tomb is in monsters.kq but needs a special cs file
KQObject::setScript sprigan sprigan2.cs
KQObject::setScript bossprig bossprig.cs
setLoadProgress

# Other things
# castlekeep stuff
loadKQ telepad1.kq					
loadKQ keeptrap.kq
setLoadProgress

# mill wheel stuff
loadKQ ropenhok.kq
loadKQ milwheel.kq			
loadKQ milgear1.kq			
loadKQ milgear2.kq			
loadKQ milltree.kq			
loadKQ milstone.kq
loadKQ davgate1.kq
loadKQ davgate2.kq
loadKQ davgate3.kq
loadKQ	davgate1.kq	dav.01	236370	183120	8339.5	0	0	-1.57
loadKQ	davgate2.kq	dav.02	236370	183120	8339.5	0	0	-1.57
loadKQ	davgate3.kq	dav.03	236092	183120	8339.5	0	0	1.57
setLoadProgress

loadKQ wateran1.kq
loadKQ wateran2.kq
loadKQ wateran3.kq
loadKQ wateran4.kq
loadKQ wateran5.kq
loadKQ wateran6.kq								
loadKQ wateran7.kq								
loadKQ wateran8.kq								
loadKQ wateran9.kq
loadKQ uglywat2.kq								
loadKQ fullstrm.kq								
loadKQ millsnd.kq	
loadKQ millsnd2.kq
loadKQ miltrap1.kq
loadKQ miltrap2.kq
loadKQ wheeltp1.kq
loadKQ wheeltp2.kq
setLoadProgress
								
#loadKQ knightpuzzle.kq
loadKQ Tombdor2.kq
loadKQ coffnlid.kq								

#church Puzzle stuff
loadKQ poorbox.kq								
loadKQ urn.kq
setLoadProgress

#Cave stuff								
loadKQ portaltp.kq
loadKQ portal1.kq
loadKQ waterfal.kq
loadKQ smalwfal.kq
loadKQ water.kq
loadKQ watertp.kq
setLoadProgress


#Doors around Daventry
loadKQ Saradoor.kq
loadKQ Wizdoor.kq
loadKQ Condoor.kq
loadKQ Winddoor.kq
loadKQ Pubdoor.kq
loadKQ Girldoor.kq
loadKQ WatMdoor.kq
loadKQ Farmdoor.kq
loadKQ Alchdoor.kq
loadKQ Tombdor.kq
loadKQ outdoor.kq
loadKQ keepdrl.KQ
loadKQ keepdrr.KQ
setLoadProgress

#load walk traps
loadKQ	sarawalk.kq	Sarawalk.tp	282250	196409	13916	0	0	1.56
loadKQ	conwalk.kq	Conwalk.tp	268280	225448	13979	0	0	-1.83
loadKQ	alchwalk.kq	Alchwalk.tp	245732	256302	12616	0	0	3.06
loadKQ	tavrwalk.kq	Tavrwalk.tp	197443	261193	8337	0	0	3.1
loadKQ	wtrmwalk.kq	Wtrmwalk.tp	192408	227039	7860	0	0	1.39
loadKQ	farmwalk.kq	Farmwalk.tp	228159	208704	8340	0	0	1.34
loadKQ	girlwalk.kq	Girlwalk.tp	131023	275476	11118	0	0	3.12
loadKQ	windwalk.kq	Windwalk.tp	142302	249914	15376	0	0	1.48
loadKQ	wizwalk.kq	Wizwalk.tp	143956	207986	12986	0	0	1.6
setLoadProgress


#load run traps
loadKQ	sararun.kq	Sararun.tp	281234	196591	13915	0	0	1.56
loadKQ	conrun.kq	Conrun.tp	269544	225227	13979	0	0	-1.83
loadKQ	alchrun.kq	Alchrun.tp	245804	255291	12617	0	0	3.06
loadKQ	tavrrun.kq	Tavrrun.tp	197498	260058	8160	0	0	3.1
loadKQ	wtrmrun.kq	Wtrmrun.tp	193751	227006	7747	0	0	1.16
loadKQ	farmrun.kq	Farmrun.tp	227635	208725	8340	0	0	1.34
loadKQ	girlrun.kq	Girlrun.tp	131026	274956	11118	0	0	3.12
loadKQ	windrun.kq	Windrun.tp	141422	249910	15152	0	0	-1.77
setLoadProgress


#haybail in windmill								
loadKQ	haybail.kq	haybail.01	147703	248928	15195	0	0	1.57
loadKQ pushtrap.kq

# pub stuff	
loadKQ	beer42.kq	beer42.01	196832	268299	9128	0	0	0
loadKQ	hibeer.kq	hibeer.01	198915	268025	9128	0	0	1.57
loadKQ	hibeer2.kq	hibeer.02	194116	268009	9320	0	0	0.74
setLoadProgress
							

#barrels near the Pub								
loadKQ	brlupms.kq	barrel.04	206564	267646	8345	0	0	1.57
loadKQ	barelup.kq	barrel.07	199536	262152	8185	0	0	1.57
loadKQ	brlupcr.kq	barrel.12	188861	269213	8185	0	0	1.57
loadKQ	brlupms.kq	barrel.13	188287	266690	8185	0	0	1.57
#boardedup door at alch house
loadKQ	boardup.kq
setLoadProgress

# arrow trap in castlekeep of Daventry

loadKQ arrotrp1.kq arrotrp1 205000 279435 19000 0 0 1.57
loadKQ arrotrp2.kq arrotrp2 229085 280250 19600 0 0 -1.57
loadKQ arrotrp3.kq arrotrp3 229085 278840 19400 0 0 -1.57
loadKQ triparro.kq same 216883 279578 19123 0 0 1.57
loadKQ arroswt1.kq
loadKQ arroswt2.kq
loadKQ arroswt3.kq
setLoadProgress

KQMonster::inventory world BirthdaySuit 1 288838 217431 16748 0 0 0
KQObject::changeBmp $NewInvItem rok.bmp blood.bmp
KQObject::setHidden $NewInvItem 1
KQObject::setScript $NewInvItem offej.cs
KQObject::setGroupsAlways $NewInvItem 2050

#waterfall stuff
loadKQ table.kq
loadKQ bricks.kq

loadKQ watrfsnd.kq
loadKQ windsnd.kq
loadKQ fountsnd.kq
setLoadProgress

#Ugly Beast
loadKQ Ugly.kq

# Teleporter stuff
loadKQ Teletrap.kq

# Music traps
loadKQ mwiztrap.kq
loadKQ mwzhtrap.kq
loadKQ mugltrap.kq
loadKQ chrchtrp.kq
setLoadProgress


# last:
# The world's default music
loadKQ music.kq


# Preload all major objects that are near Connor's starting point.
# Preloading the resources for one object of a type preloads the resources for
# all objects of the same type.
KQObject::preloadResources Condoor
KQObject::preloadResources ConHouse
KQObject::preloadResources Cottage
KQObject::preloadResources Church
KQObject::preloadResources Frmhut
KQObject::preloadResources Farmdoor
KQObject::preloadResources fence12
KQObject::preloadResources fence39
KQObject::preloadResources fence46
KQObject::preloadResources barn
KQObject::preloadResources Ravens
KQObject::preloadResources Tomb
KQObject::preloadResources TombOfTheDead
KQObject::preloadResources tomb2.01
KQObject::preloadResources tomb7.02
KQObject::preloadResources sarcf1.01
setLoadProgress


# put a script on the sprigans breastplate

# Tell the camera to follow Connor
KQCamera::follow none
setLoadProgress 100

