##################################################
#
# Daventry load script
#
# DO NOT CHANGE THIS FILE!
#
# Add new objects to newWorld.cs
#
##################################################


if test $2 == Init
	##################################################
	#
	# Only set variables here
	
	set KQWorld::background 17
	
	# Maximum monsters awake at a time
	set KQWorld::MaxMonsters 6
	set KQWorld::WarnTooManyMonsters 1	

	# Terrain damage amounts
	set KQWorld::FastPoisonTime 0
	set KQWorld::PoisonTime 5
      set KQWorld::SwampTime 5
	
	if test $KQGame::BitDepth == 8
		set KQWorld::objectPalette daventry.ppl
		set KQWorld::connorPalette daventry.ppl
		set KQWorld::terrainPalette daventry.ppl
		set KQWorld::interiorPalette daventry.ppl

		set KQWorld::loadingPalette daventry.ppl
	else
		set KQWorld::objectPalette daventry.ppl
		set KQWorld::connorPalette daventry.ppl
		set KQWorld::terrainPalette daventry.ppl
		set KQWorld::interiorPalette daventry.ppl

		set KQWorld::loadingPalette daventry.ppl
	endif
	#
	##################################################
		
	
	##################################################
	# The background:
	
	newSky $KQWorld::background
	
	# the starfield distance must be somewhere between the
	# terrain's visible distance and the camera's far plane
	#set SimStarField::starFieldDistance 16900
	#set SimStarField::count 800
	#newStars
	
	# no planet, yet
	# the planet distance must be somewhere between the
	# terrain's visible distance and the camera's far plane
	# set SimSkyPlanet::planetDistance 16900
	##################################################
	

else if test $2 == Load
	
	# load the objects
	newWorld.cs

	#moved here from mask.cs [10-13 abc]. blackOut sets the display black
	blackOut
	KQGame::selectScreen 1

	# the loadPalette and resetHazeColor calls must appear together
	loadPalette $KQWorld::loadingPalette 0
	# resetHazeColor must appear AFTER the above loadPalette command
	resetHazeColor 4 8 12
	allowShadows 1

else if test $2 == Begin
	echo "I'm LOADED!"	and Daventry::girlhut::FirstTime == $Daventry::girlhut::FirstTime
   if test $Daventry::girlhut::FirstTime == 1
   	preloadShape c_dav1.kqs
   	preloadShape c_dav2.kqs
   	preloadShape c_dav3.kqs
   	preloadShape Ravnstp.kqs

   	KQCamera::follow none
   	handsOff 1
   	move Connor 0 277744 199029 -1 0 0 1.57
   	move KQCamera 0 275026 197541 14930 -.2 0 -1.8
   	sendEvent 0 stngrl KQCueEvent 10 0
	   set Daventry::girlhut::FirstTime 0
   #else
   #   KQCamera::follow Connor
   endif

else if test $2 == Die

	# Things should be added here if the world owns them,
	# but they are not saved out by the persistManager.

	echo Unloading $KQWorld::Name

	#84 is the SimGroupId for SimSkyGroup
	deleteObject 84

endif
endif
endif
endif
